Bug 75565 - CRASH: LO crash when copy&paste a column from Calc to Writer as formated text (rtf)
Summary: CRASH: LO crash when copy&paste a column from Calc to Writer as formated text...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.5.3 release
Hardware: All All
: high critical
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-27 09:32 UTC by Wolf.Kuerschner
Modified: 2015-01-23 16:50 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolf.Kuerschner 2014-02-27 09:32:25 UTC
Problem description: 

When I select a whole column in Calc and copy it, LibreOffice crashes if I try to paste it as formated text (rtf) in Writer.

Crash means: LO does not respond anymore, the CPU goes to 100%, and the RAM fills up slowly for some minutes(on my computer from 300 MB to 1600 MB), then soffice.bin just disappears... 

First I thought it just means, that LO is looking through all possible rows if there is some data somewhere, and that might take some time. I tried this with the newest version of LO (in German), with LO 3.6, and with OpenOffice 4.0.1 - same behaviour!

Steps to reproduce:
1. Start calc and enter just one number in the first field, e.g. just a single plain "1".

2. Select the whole column: click on the header so that the whole column is highlighted.

3. Go to Writer and try to paste the data as "formated text rtf"

Current behavior:

LO crashes.

Expected behavior:

Data is pasted as a new table.

              
Operating System: Windows XP
Version: 4.1.5.3 release
Comment 1 Wolf.Kuerschner 2014-02-27 09:37:47 UTC
Same behaviour on Win7 computer.
Comment 2 sophie 2014-02-27 15:19:12 UTC
Confirmed with version 4.1.5.3 under Debian 6 - change plateform, set as New - Sophie
Comment 3 Jean-Baptiste Faure 2014-03-08 12:08:45 UTC
The crash comes from a memory leak. Set the severity to CRITICAL according to https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Severity

Best regards. JBF
Comment 4 Kohei Yoshida 2014-03-08 15:55:47 UTC
Just a note. When you try the same scenario with Excel and Word, Excel truncates the trailing empty cell range when pasting to Word *but* when you make the selection one cell short of the whole column (i.e. select the whole column then move the end of the selected range up one cell) and copy-n-paste it to Word, it hangs just like Calc does.

Perhaps Calc can also truncate the trailing empty range if the whole column(s) are selected.
Comment 5 Philippe Debrabant 2014-04-30 14:47:10 UTC
Same problem with LO 4.2.3.3 Build ID: 420m0(Build:3) and Ubuntu 14.04.

But for me LO crashes with some cells selected (not an entire row).
First, I select some cells from calc with the contextual menu. Next I paste my selection in Writer => LO crashes.

I hope this bug will be corrected soon, it's very unconfortable.
Thanks,
Philippe
Comment 6 Winfried Donkers (retired) 2014-04-30 15:14:36 UTC
changing the version back to 4.1.5.3 release.
The version indicates the first (earliest) version where the bug occurs.
Comment 7 Philippe Debrabant 2014-04-30 15:32:38 UTC
Ok, sorry...
Comment 8 Björn Michaelsen 2014-07-12 20:18:13 UTC
Priority highest is reserved for MABs, please see: https://wiki.documentfoundation.org/MAB on when a bug qualifies for that.

Thus keeping this on priority high.
Comment 9 Julien Nabet 2015-01-04 17:46:11 UTC
On pc Debian x86-64 with 4.3.3 LO Debian package, I don't reproduce the crash.
However, I think indeed that the empty trail should be automatically removed from the selection.
Comment 10 Commit Notification 2015-01-23 16:48:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0efbd9931ea854cf71c4c54ca3f3d55d6db1fa13

Resolves: fdo#75565 reduce block on pasting rtf like we do for html

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Caolán McNamara 2015-01-23 16:50:36 UTC
We shrink the block for html paste already, so extended it for rtf too